git » qscintilla.git » commit 3c93698

kde-unstable -> trunk

author Pierre Schmitz
2010-02-01 07:17:32 UTC
committer Pierre Schmitz
2010-02-01 07:17:32 UTC
parent e9545fb3573c257aff3129965c9181715c4df6e9

kde-unstable -> trunk

PKGBUILD +55 -0

diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 0000000..3ca5bc7
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,55 @@
+# $Id: PKGBUILD 46926 2009-07-22 04:56:17Z pierre $
+# Maintainer: Andrea Scarpino <andrea@archlinux.org>
+# Contributor: Douglas Soares de Andrade <dsa@aur.archlinux.org>
+# Contributor: Michal Krenek <mikos@sg1.cz>
+# Contributor: DaNiMoTh <jjdanimoth.aur@gmail.com>
+
+pkgname=qscintilla
+pkgver=2.4.1
+pkgrel=1
+license=('GPL')
+pkgdesc="A port to Qt4 of Neil Hodgson's Scintilla C++ editor class"
+arch=('i686' 'x86_64')
+url="http://www.riverbankcomputing.co.uk/software/qscintilla/intro"
+depends=('qt>=4.6.0')
+provides=('qscintilla2')
+conflicts=('qscintilla2')
+replaces=('qscintilla2')
+source=(http://riverbankcomputing.com/static/Downloads/QScintilla2/QScintilla-gpl-$pkgver.tar.gz)
+md5sums=('2815ea8b7f15d857d657743d023dcbc3')
+options=('force')
+
+build() {
+    cd $srcdir/QScintilla-gpl-$pkgver/Qt4
+    sed -i "s|DESTDIR = .*|DESTDIR = $pkgdir/usr/lib|g" qscintilla.pro
+    sed -i "s|header.path = .*|header.path = $pkgdir/usr/include|g" qscintilla.pro
+    sed -i "s|trans.path = .*|trans.path = $pkgdir/usr/share/qt/translations|g" qscintilla.pro
+    sed -i "s|qsci.path = .*|qsci.path = $pkgdir/usr/share/qt/translations|g" qscintilla.pro
+
+    qmake qscintilla.pro
+    sed -i 's|$(MOVE) $(TARGET)|$(COPY) $(TARGET)|g' Makefile
+    make || return 1
+    make DESTDIR=$pkgdir install
+    
+    cd ../designer-Qt4
+
+    # Qt4 designer qscintilla2 plugin
+    mkdir -p $pkgdir/usr/lib/qt/plugins/designer
+
+    echo "INCPATH += ../Qt4" >> designer.pro
+    sed -i "s|LIBS.*|LIBS += -L../Qt4 -lqscintilla2|g" designer.pro
+    qmake designer.pro
+    make || return 1
+    cp libqscintillaplugin.so $pkgdir/usr/lib/qt/plugins/designer/ || return 1
+
+    msg "Installing the libs to the right place"
+
+    cd ../Qt4
+    cp libqscintilla2.so.5.2.0 $pkgdir/usr/lib/ || return 1
+
+    pushd $pkgdir/usr/lib/
+        ln -s libqscintilla2.so.5.2.0 libqscintilla2.so
+        ln -s libqscintilla2.so.5.2.0 libqscintilla2.so.5
+        ln -s libqscintilla2.so.5.2.0 libqscintilla2.so.5.2
+    popd
+}